/*
 * KontoVerwaltung.cpp
 *
 *  Created on: 21.11.2008
 *      Author: wolfgang
 */


#include "kontov.h"
#include <sstream>

char menu();
void getAnlage(string&, bool&, long&, string&);
void getGiro(int&, double&, long&, string&);

int main() {
	KontoVerw meinKonto;
	string art, inh;
	bool kuend;
	int blz;
	long nr;
	double dispo;

	meinKonto.insert(60390, 9.5, 54321, "Wolfgang");
	meinKonto.insert("Sparbuch", true, 96123, "Daniel");

	string command;

	for(;;) {
		cout << "\n Konten-Verwaltungs-Programm "
			"\n ----------------------------" << endl;
		cout << "\n     E = Anlage neu aufnehmen"
			"\n     G = Giro neu aufnehmen"
			"\n     A = Konten anzeigen"
			"\n     B = Programm Beenden"
			"\n\n Ihre wahl : ";

		getline(cin, command);
		if (!cin) break;
		switch( command[0] ) {
			case 'E' :
			case 'e' : getAnlage(art, kuend, nr, inh);
				meinKonto.insert(art, kuend, nr, inh);
				break;
			case 'G' :
			case 'g' : getGiro(blz, dispo, nr, inh);
				meinKonto.insert(blz, dispo, nr, inh);
				break;
			case 'A' :
			case 'a' : meinKonto.display();
				break;
			case 'B' :
			case 'b' : cout << "Bye Bye!" << endl; return 0;
				break;
			default  : cout << "Was war das?\n\n";
				break;
		}
	}
}

char menu() {
	cout << "\n Konten-Verwaltungs-Programm "
			"\n ----------------------------" << endl;
	char c;
	cout << "\n     E = Anlage neu aufnehmen"
			"\n     G = Giro neu aufnehmen"
			"\n     A = Konten anzeigen"
			"\n     B = Programm Beenden"
			"\n\n Ihre wahl : ";
	cin >> c;
	return c;
}

void getAnlage(string& art, bool& kuend, long& nr, string& inh) {
	char c;
	cout << "\nDaten fuer eine Anlage eingeben:" << endl;

	char* msg[] = {(char*)"Anlagen-Art:         ",(char*)"1/4-Jaehrlich kuendbar:(j,n)",(char*)"Konto-Nr:     ",(char*)"Inhaber:      "};

	for (int i = 0; i <= 3; ++i) {
		cout << msg[i];
		string line;
		if (!getline(cin, line)) return;
		istringstream is(line);
		switch (i) {
			case 0: art = line; break;
			case 1: is >> c;
				if(c == 'j' || c == 'J') kuend = true;
				else kuend = false;
				break;
			case 2: is >> nr; break;
			case 3: inh = line; break;
		}
		if(!is) return;
	}
}

void getGiro(int& blz, double& dispo, long& nr, string& inh) {
	char* msg[] = {(char*)"Blz:       ", (char*)"Dispo bis  ", (char*)"Konto-Nr:  ", (char*)"Inhaber:   "};
	cout << "\nDaten fuer ein Giro-Konto eingeben;" << endl;
	for (int i = 0; i <= 3; ++i) {
		cout << msg[i];
		string line;
		if (!getline(cin, line)) return;
		istringstream is(line);
		switch (i) {
			case 0:	is >> blz; break;
			case 1: is >> dispo; break;
			case 2: is >> nr; break;
			case 3: inh = line; break;
		}
		if(!is) return;
	}
}
