/*
 * kontov.C
 *
 *  Created on: 21.11.2008
 *      Author: wolfgang
 */

#include "kontov.h"

KontoVerw::~KontoVerw() {
	// dynamisch erzeugte Objekte wieder freigeben
	for(int i=0; i< anz; ++i) {
		delete vp[i];
	}
}

// Anlage einfuegen
bool KontoVerw::insert(const string& art, bool kuend, long nr, const string& inh) {
	if(anz < 100) {
		vp[anz++] = new Anlage(art, kuend, nr, inh);
		return true;
	} else {
		return false;
	}
}

// Giro einfuegen
bool KontoVerw::insert(int blz, double dispo, long nr, const string& inh) {
	if(anz <100){
		vp[anz++] = new Giro(blz, dispo, nr, inh);
		return true;
	} else {
		return false;
	}
}

void KontoVerw::display() const {
	for(int i=0; i<anz; ++i) {
		vp[i] -> display();
	}
}
